# Image class

Opaque handle to raw decoded image data (pixels).

To obtain an Image object, use instantiateImageCodec.

To draw an Image, use one of the methods on the Canvas class, such as Canvas.drawImage.

See also:

- Image, the class in the `widgets` library.

## Properties

height → int
  The number of image pixels along the image's vertical axis.
  read-only
width → int
  The number of image pixels along the image's horizontal axis.
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

dispose() → void
  Release the resources used by this object. The object is no longer usable after this method is called.
toByteData({ImageByteFormat format: ImageByteFormat.rawRgba }) → Future<ByteData>
  Converts the Image object into a byte array. [...]
toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited